(function(api) {

  api.sectionConstructor['bridetop-upsell'] = api.Section.extend({
      attachEvents: function() {},
      isContextuallyActive: function() {
          return true;
      }
  });

  const bridetop_section_lists = ['Main', 'Clients', 'Logo'];
  bridetop_section_lists.forEach(bridetop_homepage_scroll);

  function bridetop_homepage_scroll(item) {
      item = item.replace(/-/g, '_');
      wp.customize.section('bridetop_' + item + '_section', function(section) {
          section.expanded.bind(function(isExpanding) {
              wp.customize.previewer.send(item, { expanded: isExpanding });
          });
      });
  }
})(wp.customize);